Subject: Re: [PATCH] sky2: jumbo frame regression fix

From: Bill Davidsen <[email-masked]>
Date: Wed, 03 Oct 2007 14:04:38 -0400

Ian Kumlien wrote:
> On tis, 2007-10-02 at 18:02 -0700, Stephen Hemminger wrote:
>> Remove unneeded check that caused problems with jumbo frame sizes.
>> The check was recently added and is wrong.
>> When using jumbo frames the sky2 driver does fragmentation, so
>> rx_data_size is less than mtu.
> 
> Confirmed working.
> 
> Now running with 9k mtu with no errors, =)

Have you verified that you are actually getting jumbo packets out of the 
NIC? I had one machine which did standard packets silently using sky2 
and jumbo using sk98lin. I was looking for something else with tcpdump 
and got one of those WTF moments when I saw all the tiny packets.

-- 
Bill Davidsen <[email-masked]>
   "We have more to fear from the bungling of the incompetent than from
the machinations of the wicked."  - from Slashdot